Bug 523213 - size of RHEL6.0-20090911.7 DVD1 is greater than 4GB
Summary: size of RHEL6.0-20090911.7 DVD1 is greater than 4GB
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: releng
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Dennis Gregorovic
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 13:45 UTC by Martin Banas
Modified: 2010-06-17 21:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-16 07:06:05 UTC


Attachments (Terms of Use)

Description Martin Banas 2009-09-14 13:45:05 UTC
Description of problem:
size of DVD1 is greater than 4GB on PPC, i386 and x86_64


Version-Release number of selected component (if applicable):
RHEL6.0-20090911.7

  
Actual results:
size of DVD1:
 
PPC - 4572228 KB
i386 - 4336162 KB
x86_64 - 4309602 KB


Expected results:
size of all DVDs should be less then 4000MB


Additional info:

Comment 1 Daniel Mach 2009-09-14 13:55:44 UTC
(In reply to comment #0)
> Expected results:
> size of all DVDs should be less then 4000MB

Why 4000MB?
DVD size is 4.70 GB (4 700 000 000 B, 4.38 GiB).

See http://en.wikipedia.org/wiki/DVD#DVD_capacity for details.

Comment 2 Martin Banas 2009-09-14 13:59:52 UTC
The standard that we use defines a DVD to be less than 4GB.

Comment 4 RHEL Product and Program Management 2009-09-14 14:27:22 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 5 Mike McLean 2009-09-14 15:41:04 UTC
Without justification, an arbitrary 'standard' of 4GB is a ridiculous limitation.

Dan is correct, a standard, singled sided DVD holds 4.7GB (4.38GiB). It is absurd to limit ourselves to less.

If no one has a good reason besides "that's the limit in the test" I strongly suggest we change the test to be more in line with reality.

I suspect someone wrote the 4GB limit into the test without actually knowing what the capacity of a DVD is.

Comment 6 Brock Organ 2009-09-14 18:12:43 UTC
Looking at:

http://en.wikipedia.org/wiki/DVD#DVD_capacity

I believe we are only planning to produce a single side/single layer DVD kit, so based on the DVD-5 (single side/single layer) entry:

Type 	 Sectors    Bytes          MB         MiB        GB     GiB
DVD−R SL 2,298,496  4,707,319,808  4,707.320  4,489.250  4.707  4.384
DVD+R SL 2,295,104  4,700,372,992  4,700.373  4,482.625  4.700 	4.378

I believe it makes sense to change our testing parameter to 4.378 GiB ...

Brock

Comment 7 Dennis Gregorovic 2009-09-16 19:30:44 UTC
Can we close this?

Comment 8 Martin Banas 2009-10-16 07:05:28 UTC
iso size verification test already modified to reflect new DVD size. I think it's save to close this.


Note You need to log in before you can comment on or make changes to this bug.